%global srcname zope.component
%global pypi_name %(tr . - <<< %{srcname})

# missing build deps
%bcond_with docs

Name:           python-%{pypi_name}
Summary:        Zope Component Architecture
Version:        6.0
Release:        %mkrel 2
License:        ZPLv2.1
Group:          Development/Python
URL:            https://pypi.io/project/zope.component
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel

%description
This package represents the core of the Zope Component Architecture.
Together with the 'zope.interface' package, it provides facilities for
defining, registering and looking up components.

%package -n python3-%{pypi_name}
Summary:        Zope Component Architecture
%{?python_provide:%python_provide python3-%{pypi_name}}
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{pypi_name}
This package represents the core of the Zope Component Architecture.
Together with the 'zope.interface' package, it provides facilities for
defining, registering and looking up components.

%prep
%autosetup -p1 -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires %{?with_docs:-x docs}

%build
%pyproject_wheel

%if %{with docs}
# build Sphinx documents
COPYRIGHT=`grep Author: PKG-INFO |sed -e 's/Author: //'`
cat >docs/conf.py <<END
templates_path = ['_templates']
source_suffix = '.rst'
master_doc = 'index'
project = '%{srcname}'
copyright = '$COPYRIGHT'
version = '%{version}'
release = '%{version}'
pygments_style = 'sphinx'
html_static_path = ['_static']
extensions = []
END
# build docs
sphinx-build -b html docs/ html
# remove leftovers
rm -fr html/{.buildinfo,.doctrees}
%endif

%install
%pyproject_install
%pyproject_save_files zope

# we don't need these
rm -rf %{buildroot}%{python3_sitelib}/*-nspkg.pth

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE.txt COPYRIGHT.txt
%doc CHANGES.rst README.rst
%if %{with docs}
%doc html
%endif
%exclude %{python3_sitelib}/zope/component/{tests,testfiles}/
%exclude %{python3_sitelib}/zope/component/*test*.py
%exclude %{python3_sitelib}/zope/component/__pycache__/*test*.cpython-%{python3_version_nodots}{,.opt-?}.pyc


%changelog
* Sun Mar 02 2025 wally <wally> 6.0-2.mga10
+ Revision: 2158901
- rebuild for python3.13

* Thu Dec 21 2023 wally <wally> 6.0-1.mga10
+ Revision: 2020681
- new version 6.0
- use pyproject rpm macros

* Thu Sep 08 2022 neoclust <neoclust> 5.0.1-1.mga9
+ Revision: 1885770
- New version  5.0.1

* Tue Mar 29 2022 umeabot <umeabot> 5.0.0-3.mga9
+ Revision: 1832697
- Mageia 9 Mass Rebuild

* Thu Feb 17 2022 tv <tv> 5.0.0-2.mga9
+ Revision: 1778564
- Rebuild for python-3.10

* Sat Apr 10 2021 wally <wally> 5.0.0-1.mga9
+ Revision: 1714522
- new version 5.0.0

* Thu Oct 08 2020 kekepower <kekepower> 4.6.2-1.mga8
+ Revision: 1632671
- Update to version 4.6.2

* Sun Feb 16 2020 umeabot <umeabot> 4.5-2.mga8
+ Revision: 1534478
- Mageia 8 Mass Rebuild

* Thu Oct 03 2019 guillomovitch <guillomovitch> 4.5-1.mga8
+ Revision: 1449146
- new version 4.5
- drop python 2 support

* Mon Jan 07 2019 kekepower <kekepower> 4.4.1-3.mga7
+ Revision: 1350637
- Rebuild for Python 3.7

* Fri Sep 21 2018 umeabot <umeabot> 4.4.1-2.mga7
+ Revision: 1290583
- Mageia 7 Mass Rebuild

* Sun Nov 05 2017 mitya <mitya> 4.4.1-1.mga7
+ Revision: 1176010
- New version 4.4.1

* Sat Aug 05 2017 pterjan <pterjan> 4.3.0-2.mga7
+ Revision: 1135703
- Rebuild for python 3.6

* Mon May 22 2017 mitya <mitya> 4.3.0-1.mga6
+ Revision: 1104072
- Mageify
- imported package python-zope-component


* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 4.3.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 4.3.0-2
- Rebuild for Python 3.6

* Tue Sep 27 2016 Ralph Bean <rbean@redhat.com> - 4.3.0-1
- new version

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.2.2-5
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Tue Jun 28 2016 Ralph Bean <rbean@redhat.com> - 4.2.2-4
- Add an explicit python2 subpackage.

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 4.2.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Nov 10 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.2.2-2
- Rebuilt for https://fedoraproject.org/wiki/Changes/python3.5

* Wed Sep 16 2015 Ralph Bean <rbean@redhat.com> - 4.2.2-1
- new version

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.2.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Jul 21 2014 Ralph Bean <rbean@redhat.com> - 4.2.1-1
- Latest upstream.

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.2.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed May 14 2014 Bohuslav Kabrda <bkabrda@redhat.com> - 4.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Changes/Python_3.4

* Wed Feb 12 2014 Ralph Bean <rbean@redhat.com> - 4.2.0-1
- Latest upstream.

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Apr 10 2013 Ralph Bean <rbean@redhat.com> - 4.1.0-1
- Updated to latest upstream: 4.1.0.
- Rename {README,CHANGES}.txt to {README,CHANGES}.rst

* Mon Feb 25 2013 Ralph Bean <rbean@redhat.com> - 4.0.2-2
- Fix python3 conditional

* Mon Feb 25 2013 Ralph Bean <rbean@redhat.com> - 4.0.2-1
- Latest upstream.

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.0.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Mon Dec 03 2012 Tomas Dabasinskas <tomas@redhat.com> - 4.0.1-2
- Fixed python3 package files section
- Removed exclude *.txt for pyhon2 package as no txt files are generated during install

* Thu Nov 29 2012 Ralph Bean <rbean@redhat.com> - 4.0.1-1
- Updated to latest upstream.
- Included python3 subpackage.

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.10.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.10.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.10.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Jan  2 2011 Robin Lee <cheeselee@fedoraproject.org> - 3.10.0-2
- Get rid of the utility script

* Sun Jan  2 2011 Robin Lee <cheeselee@fedoraproject.org> - 3.10.0-1
- Update to 3.10.0
- Include a utility script to build Sphinx documents

* Mon Sep 20 2010 Robin Lee <robinlee.sysu@gmail.com> - 3.9.5-2
- Rearrange the documents

* Sun Sep  5 2010 Robin Lee <robinlee.sysu@gmail.com> - 3.9.5-1
- Update to 3.9.5
- Don't move documents
- Requires: python-zope-filesystem and python-setuptools removed
- Spec cleaned up

* Wed Jun 16 2010 Robin Lee <robinlee.sysu@gmail.com> - 3.9.4-1
- Initial packaging
